Bug 1479191 - (CVE-2017-7779) CVE-2017-7779 Mozilla: Memory safety bugs fixed in Firefox 55 and Firefox ESR 52.3 (MFSA 2017-19)
CVE-2017-7779 Mozilla: Memory safety bugs fixed in Firefox 55 and Firefox ESR...
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
urgent Severity urgent
: ---
: ---
Assigned To: Red Hat Product Security
impact=critical,public=20170808,repor...
: Security
Depends On:
Blocks: 1477026
  Show dependency treegraph
 
Reported: 2017-08-08 02:36 EDT by Doran Moppert
Modified: 2017-08-24 03:31 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-08-24 03:31:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Doran Moppert 2017-08-08 02:36:02 EDT
Mozilla developers and community members Masayuki Nakano, Gary Kwong, Ronald Crane, Andrew McCreight, Tyson Smith, Bevis Tseng, Christian Holler, Bryce Van Dyk, Dragana Damjanovic, Kartikaya Gupta, Philipp, and Tristan Bourvon reported memory safety bugs present in Firefox 54 and Firefox ESR 52.2. Some of these bugs showed evidence of memory corruption and we presume that with enough effort that some of these could be exploited to run arbitrary code.


External Reference:

https://www.mozilla.org/en-US/security/advisories/mfsa2017-19/#CVE-2017-7779


Acknowledgements:

Name: the Mozilla project
Upstream: Mozilla developers and community
Comment 1 errata-xmlrpc 2017-08-10 19:20:48 EDT
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7
  Red Hat Enterprise Linux 6

Via RHSA-2017:2456 https://access.redhat.com/errata/RHSA-2017:2456
Comment 2 errata-xmlrpc 2017-08-24 02:46:04 EDT
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6
  Red Hat Enterprise Linux 7

Via RHSA-2017:2534 https://access.redhat.com/errata/RHSA-2017:2534

Note You need to log in before you can comment on or make changes to this bug.